Api reference
GET Capabilities
GET
/v1/capabilitiesAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
cwd?string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/capabilities"{ "harnesses": [ { "harness": { "id": "string", "name": "string", "symbolName": "string", "source": "string", "launchKind": "executable", "enabled": true, "desiredEnabled": true, "readiness": { "state": "ready", "detail": "string" }, "auth": { "state": "checking", "activeAccountId": "string", "accounts": [ { "id": "string", "harnessId": "string", "profileKind": "default", "label": "string", "email": "string", "organizationId": "string", "authMethod": "string", "authState": "checking", "isActive": true, "canLogin": true, "canLogout": true, "lastCheckedAt": "string", "detail": "string" } ], "loginMethods": [ { "id": "string", "name": "string", "description": "string", "kind": "browser" } ], "supportsMultipleAccounts": true, "detail": "string" }, "installHint": "string" }, "modes": { "currentModeId": "string", "availableModes": [ { "id": "string", "name": "string", "description": "string", "canonicalId": "readOnly" } ] }, "configOptions": [ { "id": "string", "name": "string", "description": "string", "category": "string", "currentValue": "string", "options": [ { "value": "string", "name": "string", "description": "string" } ] } ], "supportsGoals": true } ]}{ "error": "string"}{ "error": "string"}{ "error": "string"}